org.apache.hadoop.mapreduce.v2.hs.webapp

## Class JAXBContextResolver

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.webapp.JAXBContextResolver

- All Implemented Interfaces:
    javax.ws.rs.ext.ContextResolver<JAXBContext>

      @Provider
      public class JAXBContextResolver
      extends Object
      implements javax.ws.rs.ext.ContextResolver<JAXBContext>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXBContextResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBContext` | `getContext(Class<?> objectType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXBContextResolver

          public JAXBContextResolver()
                              throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getContext

          public JAXBContext getContext(Class<?> objectType)

      Specified by:
        `getContext` in interface `javax.ws.rs.ext.ContextResolver<JAXBContext>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.